<?php 
  require($_SERVER["DOCUMENT_ROOT"].'/php/PHPMailer/PHPMailer.php');
 include 'conexion.php';

 date_default_timezone_set('America/Argentina/Buenos_Aires');

	$cuitOK    	= $_POST['usuario'];

	$_cad_sql = "select * from com_usuarios where usuario = '" . $cuitOK ."'";	
	
	
	$query = mysqli_query($coneccion ,	$_cad_sql);
	$row = mysqli_fetch_array($query);
	
	
	
	// nueva version_compare
	//Create a new PHPMailer instance
	
	if ($row > 0)	
	{
   
		$claveOK  = $row['clave']; 
		$correoOK = $row['email']; 
		$mostrar_correo = substr($correoOK,0,5) . '....' ;
	 
		echo '<script>alert (" Se va a enviar la Clave por Correo a '.$mostrar_correo.'");</script>';
	 
		 echo '<script>alert (" Si no recibe el correo, por favor comunicarse con el Centro de Empleados de Comercio al Tel. 4440628 o por correo a centro@cecposadas.com.ar ");</script>';
   
   
// Envio el correo

		$mail   = new PHPMailer();
		$body = " <B> Le recordamos su clave es: </B>" .$claveOK   ;
		$text .= "Clave:     " .$claveOK   ;
		$objeto = "Recuperacion de Clave de Usuario";
		//$address = $correoOK ;
		$address = 'info@cecposadas.com.ar' ;

		//$mail->IsSMTP(); // telling the class to use SMTP
		$mail->isSendmail();
		//$mail->Host       = "mail.cecposadas.com.ar"; // SMTP server
		//$mail->SMTPDebug  = 0;                     // enables SMTP debug information (for testing)
	                                           // 1 = errors and messages
	                                           // 2 = messages only
		$mail->SMTPAuth   = true;                  // enable SMTP authentication
		$mail->SMTPSecure = "ssl";
		$mail->Host       = "mail.cecposadas.com.ar"; 			// sets the SMTP server
		$mail->Port       = 465;                    // set the SMTP port for the GMAIL server
		$mail->Username   = "info@cecposadas.com.ar"; // SMTP account username
		$mail->Password   = "saltu5j2@";        // SMTP account password

		$mail->SetFrom('info@cecposadas.com.ar', 'Centro de Empleados de Comercio');
	
		$mail->Subject    = $objeto;
		$mail->AltBody    = $text;

		$mail->MsgHTML($body);

		$mail->AddAddress($address, $objeto);


		if(!$mail->Send()) 
		{  
			$respuesta1 = "ERROR";
			echo 'rpta=error' . $mail->ErrorInfo;
			exit;
		} else 
		{
			$respuesta1 = "OK";	
			echo "rpta=ok";  
		}


		if  ($respuesta1 == "OK" )
		{
			// Salio bien
			print "<script>alert('Se envio la Clave por Correo ')</script>";
			echo "<script LANGUAGE='JavaScript'>
				 function redireccionar() { history.back(2); }
				 setTimeout ('redireccionar()', 0);
			   </script>";
		 
		} else 
		{	  
			// Salio Mal
			print "<script>alert('Se Produjo un Error al Enviar el correo !!!'. $mail->ErrorInfo)</script>";
			echo "<script LANGUAGE='JavaScript'>
				 function redireccionar() { history.back(1); }
				 setTimeout ('redireccionar()', 0);
			   </script>";
		}
	}
	else 
	{	  
	   	// Salio Mal
		  print "<script>alert('Error No encontro ninguna Empresa con ese cuit')</script>";
		  echo "<script LANGUAGE='JavaScript'>
				 function redireccionar() { history.back(1); }
				 setTimeout ('redireccionar()', 0);
			   </script>";
	}
	
?>
<script> 
function cerrarse(){ 
window.close() 
} 
</script>
